Name: x11-driver-video-tdfx
Version: 1.4.7
Release: %mkrel 1
Summary: X.org driver for Voodoo Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-tdfx-%{version}.tar.bz2
License: MIT
 
BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-tdfx is the X.org driver for Voodoo Cards.

%prep
%setup -q -n xf86-video-tdfx-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/tdfx_drv.la
%{_libdir}/xorg/modules/drivers/tdfx_drv.so
%{_mandir}/man4/tdfx.*


%changelog
* Wed Jan 18 2017 tv <tv> 1.4.7-1.mga6
+ Revision: 1082225
- new release

* Thu Nov 17 2016 tv <tv> 1.4.6-7.mga6
+ Revision: 1067890
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.4.6-5.mga6
+ Revision: 1043292
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.4.6-4.mga6
+ Revision: 963428
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.4.6-3.mga6
+ Revision: 902319
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.4.6-2.mga6
+ Revision: 902071
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 1.4.6-1.mga6
+ Revision: 837477
- drop merged patch
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.4.5-12.mga5
+ Revision: 745483
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.5-11.mga5
+ Revision: 690461
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.4.5-10.mga5
+ Revision: 635056
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.4.5-9.mga5
+ Revision: 633701
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.4.5-8.mga5
+ Revision: 614391
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.4.5-7.mga5
+ Revision: 582378
- patch 0: fix build with xserver-1.14

* Fri Dec 06 2013 tmb <tmb> 1.4.5-6.mga4
+ Revision: 555624
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 1.4.5-5.mga4
+ Revision: 525473
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.4.5-4.mga4
+ Revision: 433203
- submit to core/release

* Fri May 24 2013 tv <tv> 1.4.5-3.mga4
+ Revision: 425991
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.4.5-3.mga3
+ Revision: 386028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.4.5-2.mga3.nonfree
+ Revision: 288977
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.4.5-1.mga3
+ Revision: 273775
- new release

* Wed Jun 06 2012 tmb <tmb> 1.4.4-3.mga3
+ Revision: 256500
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.4.4-2.mga3
+ Revision: 253027
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.4.4-1.mga3
+ Revision: 249906
- new release

* Tue Dec 06 2011 tmb <tmb> 1.4.3-6.mga2
+ Revision: 177688
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.4.3-5.mga2
+ Revision: 153136
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.4.3-4.mga1
+ Revision: 64418
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.4.3-3.mga1
+ Revision: 50319
- imported package x11-driver-video-tdfx

